package mtunionapi

import (
	"git.rosy.net.cn/baseapi/utils"
	"testing"
)

func TestOrderList(t *testing.T) {
	result, err := api.OrderList(6, utils.Str2Time("2021-01-01").Unix(), utils.Str2Time("2021-04-01").Unix(), 1)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}

func TestCouponList(t *testing.T) {
	result, err := api.CouponList(4, utils.Str2Time("2021-04-18").Unix(), utils.Str2Time("2021-04-23").Unix(), 1, "9999999999999")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}

func TestRtnotify(t *testing.T) {
	result, err := api.Rtnotify("63962962989562895", "6")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}
